Page MenuHomePhabricator

Tool "list" redirects to GitHub without consent
Closed, ResolvedPublic

Description

https://tools.wmflabs.org/list/: https://github.com/Krinkle/wmf-tool-list#readme
$ curl https://tools.wmflabs.org/list/ -v 2>&1 | grep Location
< Location: https://github.com/Krinkle/wmf-tool-list#readme

Please add a warning about potential change in Privacy Policy and ask for consent before redirecting to a third party site. See also: T129936#2121192
Alternatively, why not just show the README directly, optionally adding a link to GitHub?

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 6 2017, 10:54 PM
Krinkle triaged this task as Normal priority.Aug 16 2017, 12:41 AM
Krinkle closed this task as Resolved.Sep 18 2017, 10:20 PM

https://github.com/Krinkle/wmf-tool-list/commit/d3d20372b002a1d7515d8acc49957099d4e45023

The tool home page now shows a short page with link to Documentation instead of automatic redirect.